with GNATCOM.Errors;

package body MSHTML.IIMEServices_Interface is

   procedure Initialize (This : in out IIMEServices_Type) is
   begin
      Set_IID (This, IID_IIMEServices);
   end Initialize;

   function Pointer (This : IIMEServices_Type)
     return Pointer_To_IIMEServices
   is
   begin
      return To_Pointer_To_IIMEServices (Address (This));
   end Pointer;

   procedure Attach (This    : in out IIMEServices_Type;
                     Pointer : in     Pointer_To_IIMEServices)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure GetActiveIMM
     (This        : IIMEServices_Type;
      ppActiveIMM : Pointer_To_Pointer_To_IActiveIMMApp)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.GetActiveIMM
         (Pointer (This),
          ppActiveIMM));

   end GetActiveIMM;

end MSHTML.IIMEServices_Interface;

